org.apache.cassandra.io.util

## Interface DataOutputPlus

- All Superinterfaces:
    java.io.DataOutput
  All Known Implementing Classes:
    AbstractDataOutput, DataOutputBuffer, DataOutputByteBuffer, DataOutputStreamAndChannel, DataOutputStreamPlus, EncodedDataOutputStream

      public interface DataOutputPlus
      extends java.io.DataOutput

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(java.nio.ByteBuffer buffer)`
    `void` | `write(Memory memory)`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

- - ### Method Detail

    - #### write

          void write(java.nio.ByteBuffer buffer)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          void write(Memory memory)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation